[Config]
WarnUserIfFlashBoot=1

;NOTE: EDIT THIS PART OF CONFIG FILE ONLY IF YOU KNOW WHAT YOU DO!!!

;You may add new devices to deal with in the configuration file.
;This file is simply an standart *.ini file (htcrt.ini).
;Firstly, you need to add device in the [Devices] section in a new line after other devices with format like this:

;NewDevice=1

;The "NewDevice" is a device name in program, and "1" says that this device is visible ("0" or other number than "1" will hide device from the list in program).
;Next, you will need to add a new device configuration section in the end of config file like this:

;[Artemis] ;;device name from [Devices] section
;ModelId=ARTE***** /Device's Model ID/
;SignMaxChunkSize=1024 /This is the maximal block size (in Kb) after what will be a signed hash/
;IPL1=$101 /This is internal identifier of first IPL block. Note that "101" is a hexadecimal value and we MUST add an "$" sign before it/
;IPL1N=G3IPL /The name of first IPL block that will be displayed in the program/
;IPL2=$102 /And so on.../
;IPL2N=G4IPL
;SPL=$200
;SPLN=SPL
;Splash1=$600
;Splash1N=Splash
;;Splash2= /If you don't want to add some block - simply add ";" before entry. This will comment entry an it will not be parsed by program./
;;Splash2N=
;Radio=$300
;RadioN=Radio
;;GPS=
;;GPSN=
;ExtRom=$900
;ExtRomN=ExtRom
;System=$400
;SystemN=System

[Devices]
Hermes=1
Trinity=1
Artemis=1
Love=1
Herald=1
Athena=1
Kaiser=1
Elf=1
Cheetah=1
Breeze=1
Excalibur=1
Oxygen=1
Startrek=1

[Artemis]
ModelId=ARTE1****
SignMaxChunkSize=1024
IPL1=$101
IPL1N=G3IPL
IPL2=$102
IPL2N=G4IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
ExtRom=$900
ExtRomN=ExtRom
System=$400
SystemN=System

[Trinity]
ModelId=TRIN***
SignMaxChunkSize=64
IPL1=$100
IPL1N=IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash 1
Splash2=$601
Splash2N=Splash 2
Radio=$300
RadioN=Radio
ExtRom=$900
ExtRomN=ExtRom
System=$400
SystemN=System

[Hermes]
ModelId=HERM***
SignMaxChunkSize=64
IPL1=$100
IPL1N=IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash 1
Splash2=$601
Splash2N=Splash 2
Radio=$300
RadioN=Radio
ExtRom=$700
ExtRomN=ExtRom
System=$400
SystemN=System

[Breeze]
ModelId=BREE***
SignMaxChunkSize=64
IPL1=$100
IPL1N=IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash 1
Splash2=$601
Splash2N=Splash 2
Radio=$300
RadioN=Radio
System=$400
SystemN=System

[Herald]
ModelId=HERA*****
SignMaxChunkSize=1024
IPL1=$101
IPL1N=G3IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
ExtRom=$900
ExtRomN=ExtRom
System=$400
SystemN=System

[Athena]
ModelId=ATHE***
SignMaxChunkSize=64
IPL1=$102
IPL1N=G4IPL
IPL2=$103
IPL2N=IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash 1
Splash2=$601
Splash2N=Splash 2
Radio=$300
RadioN=Radio
ExtRom=$900
ExtRomN=ExtRom
System=$400
SystemN=System
GPS=$810
GPSN=GPS

[Cheetah]
ModelId=Palm Treo 750
SignMaxChunkSize=64
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
System=$400
SystemN=System
Splash2=$800
Splash2N=0x800

[Excalibur]
ModelId=EXCA*****
SignMaxChunkSize=1024
IPL1=$100
IPL1N=IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
System=$400
SystemN=System
Splash2=$800
Splash2N=0x800

[Oxygen]
ModelId=OXYG***
SignMaxChunkSize=1024
IPL1=$100
IPL1N=IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
System=$400
SystemN=System

[Kaiser]
ModelId=KAIS*****
SignMaxChunkSize=64
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$301
RadioN=Radio
System=$400
SystemN=System

[Startrek]
ModelId=StarTrek
SignMaxChunkSize=1024
IPL1=$101
IPL1N=G3IPL
IPL2=$102
IPL2N=G4IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
ExtRom=$700
ExtRomN=ExtRom
System=$400
SystemN=System

[Love]
ModelId=ARTE3****
SignMaxChunkSize=1024
IPL1=$101
IPL1N=G3IPL
IPL2=$102
IPL2N=G4IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
ExtRom=$900
ExtRomN=ExtRom
System=$400
SystemN=System

[Elf]
ModelId=ELF0*****
SignMaxChunkSize=1024
IPL1=$103
IPL1N=IPL
SPL=$200
SPLN=SPL
Splash1=$600
Splash1N=Splash
Radio=$300
RadioN=Radio
ExtRom=$900
ExtRomN=ExtRom
System=$400
SystemN=System
